#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include "memoryMovieMaker.h"
#include "memoryMoviePlayer.h"

class testApp : public ofSimpleApp{
	
	public:
		
		testApp();
		void setup();
		void update();
		void draw();
		
		void keyPressed  (int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		
		memoryMovieMaker movieMaker;
		memoryMoviePlayer player;
		unsigned char * pix;
		bool 			bRecordingMovie;
		

};

#endif	
